ghci-8.0.2: The library supporting GHC's interactive interpreter

Safe Haskell | None
Language | Haskell2010

GHCi.InfoTable

Description

Run-time info table support. This module provides support for creating and reading info tables in the running program. We use the RTS data structures directly via hsc2hs.

Synopsis

- mkConInfoTable :: Int -> Int -> Int -> Int -> [Word8] -> IO (Ptr StgInfoTable)
- peekItbl :: Ptr StgInfoTable -> IO StgInfoTable
- data StgInfoTable = StgInfoTable {
  - entry :: Maybe EntryFunPtr
  - ptrs :: HalfWord
  - nptrs :: HalfWord
  - tipe :: HalfWord
  - srtlen :: HalfWord
  - code :: Maybe ItblCodes
  }
- conInfoPtr :: Ptr () -> Ptr ()

# Documentation

mkConInfoTable :: Int -> Int -> Int -> Int -> [Word8] -> IO (Ptr StgInfoTable) Source #

peekItbl :: Ptr StgInfoTable -> IO StgInfoTable Source #

data StgInfoTable Source #

Constructors

StgInfoTable |
Fields entry :: Maybe EntryFunPtr ptrs :: HalfWord nptrs :: HalfWord tipe :: HalfWord srtlen :: HalfWord code :: Maybe ItblCodes

conInfoPtr :: Ptr () -> Ptr () Source #

Convert a pointer to an StgConInfo into an info pointer that can be used in the header of a closure.